<html>
<head>
<title>TestNG:  InApp</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>InApp</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>2/0/0</td>
</tr><tr>
<td>Started on:</td><td>Tue Mar 19 14:01:13 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>167 seconds (167230 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: {template={"Expected": {     "Type": "Header",     "Name": "MobileSDKInAppHeader",     "Content": {         "MessageCard": {             "HeaderLayoutDescription": "Test1",             "Icon": "https://cdn-icons-png.flaticon.com/128/7601/7601730.png"         },         "ButtonsCardHeaderLayout": {             "CloseButtonLabel": "Close"         }     } }}, campaign_name=MobileSDKInAppHeader, user_id=TestUser001}</td>
<td></td>
<td>81</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@51dcb805</td></tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: {template={"Expected":{       "Type":"Header",       "Name":"MobileSDKInAppPopout",       "Content":{          "MessageCard":{             "Title":"Popout Modal Title",             "PopoutModalLayoutDescription":"In App Campaign Popout check with Icon link",             "Icon":"https://cdn-site-assets.veed.io/Experimenting_Panda_9ce57391cb/Experimenting_Panda_9ce57391cb.webp?width=640&quality=75"          },          "ButtonCardPopoutModalLayout":{             "PopoutButtonLabel":"Click"          }       }    }}, campaign_name=MobileSDKInAppPopout, user_id=TestUser001}</td>
<td></td>
<td>79</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@51dcb805</td></tr>
</table><p>
</body>
</html>